Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class ConfigurableLineTracker

    java.lang.Object
      org.eclipse.jface.text.AbstractLineTracker
          org.eclipse.jface.text.ConfigurableLineTracker

All Implemented Interfaces:
  ILineTracker

public class ConfigurableLineTracker
extends AbstractLineTracker

Standard implementation of a generic `ILineTracker`.

The line tracker can be configured with the set of legal line delimiters. Line delimiters are unconstrained. The line delimiters are used to compute the tracker's line structure. In the case of overlapping line delimiters, the longest line delimiter is given precedence of the shorter ones.

This class is not intended to be subclassed.

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.text.AbstractLineTracker
`AbstractLineTracker.DelimiterInfo`

Constructor Summary
`ConfigurableLineTracker(String[] legalLineDelimiters)` Creates a standard line tracker for the given line delimiters.

Method Summary
`String[]` | `getLegalLineDelimiters()` Returns the strings this tracker considers as legal line delimiters.
`protected AbstractLineTracker.DelimiterInfo` | `nextDelimiterInfo(String text, int offset)` Returns the information about the first delimiter found in the given text starting at the given offset.

Methods inherited from class org.eclipse.jface.text.AbstractLineTracker
`computeNumberOfLines, getLineDelimiter, getLineInformation, getLineInformationOfOffset, getLineLength, getLineNumberOfOffset, getLineOffset, getNumberOfLines, getNumberOfLines, replace, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurableLineTracker

    public ConfigurableLineTracker(String[] legalLineDelimiters)

  Creates a standard line tracker for the given line delimiters.

Parameters:
  `legalLineDelimiters` - the tracker's legal line delimiters, may not be `null` and must be longer than 0

Method Detail

### getLegalLineDelimiters

    public String[] getLegalLineDelimiters()

  Description copied from interface: `ILineTracker`
  Returns the strings this tracker considers as legal line delimiters.

  Returns:
    the legal line delimiters

### nextDelimiterInfo

    protected AbstractLineTracker.DelimiterInfo nextDelimiterInfo(String text,
                                                                  int offset)

  Description copied from class: `AbstractLineTracker`
  Returns the information about the first delimiter found in the given text starting at the given offset.

  Specified by:
    `nextDelimiterInfo` in class `AbstractLineTracker`
  Parameters:
    `text` - the text to be searched
    `offset` - the offset in the given text
  Returns:
    the information of the first found delimiter or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.